explain_setlinebuf_or_die(3)

NAME
explain_setlinebuf_or_die - stream buffering operations and report errors
    "stream buffering operations and report errors"

SYNOPSIS
#include <libexplain/setlinebuf.h>

void explain_setlinebuf_or_die(FILE *fp);
void explain_setlinebuf_on_error(FILE *fp);

DESCRIPTION
The explain_setlinebuf_or_die function is used to call the setlinebuf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_setlinebuf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setlinebuf_on_error function is used to call the setlinebuf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_setlinebuf(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the setlinebuf(3) system call.

RETURN VALUE
The explain_setlinebuf_or_die function only returns on success, see setlinebuf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setlinebuf_on_error function always returns the value return by the wrapped setlinebuf(3) system call.

EXAMPLE
The explain_setlinebuf_or_die function is intended to be used in a fashion similar to the following example:
    explain_setlinebuf_or_die(fp);

SEE ALSO

setlinebuf(3)
    stream buffering operations

explain_setlinebuf(3)
    explain setlinebuf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2010 Peter Miller